$(function () {
  // 「.js-dropdown-child」を非表示に
  $('.js-dropdown-child').hide();

  $('.js-dropdown > li').hover(function () {
    // マウスが乗った時
    $(this).find('.js-dropdown-child:not(:animated)').slideDown(300);
  }, function () {
    // マウスが離れた時
    $(this).find('.js-dropdown-child:not(:animated)').slideUp(300);

  });


  // フォーカスの処理
  $('.js-dropdown a').focus(function () {
    $(this).next().slideDown(300);
  }).blur(function () {
    $(this).next().slideUp(300);
  });

  $('.js-dropdown-child a').focus(function () {
    $(this).parents('.js-dropdown-child').stop();
  }).blur(function () {
    $(this).parents('.js-dropdown-child').slideUp(300);
  });
});
